# 32/64bit spec-file
#
%define lib_major 2
%define lib_major2 7
%define lib_name %mklibname %{name} %{lib_major}
%define lib_dev %mklibname %{name} -d

%define common_description The OpenJPEG library is an open-source JPEG 2000 codec written in C\
language. It has been developed in order to promote the use of JPEG\
2000, the new still-image compression standard from the Joint\
Photographic Experts Group (JPEG).

Name: openjpeg
Version: 2.2.0
Release: %mkrel 2
Summary: An open-source JPEG 2000 codec 
Source0: %{name}-%{version}.tar.xz
Patch0: openjpeg2-remove-thirdparty.patch
Patch1: 4241ae6fbbf1de9658764a80944dc8108f2b4154.patch
Patch2: baf0c1ad4572daa89caa3b12985bdd93530f0dd7.patch
Patch3: afb308b9ccbe129608c9205cf3bb39bbefad90b9.patch

License: BSD
Group: System/Libraries
Url: http://www.openjpeg.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: zlib-devel
BuildRequires: tiff-devel
BuildRequires: png-devel
BuildRequires: %{_lib}lcms2-devel
BuildRequires: %{_lib}lcms-devel
BuildRequires: cmake

%description
%{common_description}

%package -n %{lib_name}
Summary: %{name} library
Group: System/Libraries

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with the %{oname} library.

%{common_description}

%files -n %{lib_name}
%defattr(-,root,root)
%doc CHANGELOG.md LICENSE NEWS.md README.md THANKS.md AUTHORS.md
%{_bindir}/opj_compress
%{_bindir}/opj_decompress
%{_bindir}/opj_dump
%{_libdir}/*.so.%{lib_major}*
%{_libdir}/*.so.%{lib_major2}
%{_mandir}/man1/opj_compress.1.bz2
%{_mandir}/man1/opj_decompress.1.bz2
%{_mandir}/man1/opj_dump.1.bz2

#---------------------------------------------

%package -n %{lib_dev}
Summary: Development tools for programs using the %{name} library
Group: Development/Libraries
Requires: %{lib_name} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Conflicts: %{_lib}openjpeg1-devel

%description -n	%{lib_dev}
This package contains the header files and libraries needed for
developing programs using the %{oname} library.

%{common_description}

%files -n %{lib_dev}
%defattr(-,root,root)
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/*.so
%{_libdir}/openjpeg-*/*.cmake
%{_libdir}/pkgconfig/libopenjp2.pc
%{_docdir}/%{name}-2.2/html/*.html
%{_docdir}/%{name}-2.2/html/*.png
%{_docdir}/%{name}-2.2/html/*.css
%{_docdir}/%{name}-2.2/html/*.js
%{_docdir}/%{name}-2.2/LICENSE

#---------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
%cmake \
  -DOPENJPEG_INSTALL_BIN_DIR:PATH=%{_bindir} \
  -DOPENJPEG_INSTALL_DATA_DIR:PATH=%{_datadir} \
  -DOPENJPEG_INSTALL_LIB_DIR:PATH=%{_lib} \
  -DBUILD_DOC=ON
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

mv %{buildroot}/%{_docdir}/html %{buildroot}/%{_docdir}/%{name}-2.2
rm -rf %{buildroot}/%{_docdir}/html

# remove static library
rm -f %{buildroot}/%{_libdir}/libopenjp2.a

%clean
rm -rf %{buildroot}

%changelog
* Wed Feb 20 2018 adrianomorselli <adrianomorselli> 2.2.0-2uplos2018
- apply patches
- adjust cmake
- add missing BR cmake
